#!/usr/bin/perl

#======================================================================
#    This file is part of Absence.
#
#    Absence is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Absence is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Absence.  If not, see <http://www.gnu.org/licenses/>.
#======================================================================

# $Id: nph-absence-logout.pl 113 2013-12-10 23:24:16Z urban $

use CGI;

$CGI::POST_MAX = 300;
$CGI::DISABLE_UPLOADS = 1;

BEGIN {
	if ($ENV{QUERY_STRING} =~ /^instance=(\S+)$/) {
		# an instance has been specified
		$ENV{INSTANCE_NAME} = $1;
		$COOKIE_NAME = "absence-$1";
	} else {
		$COOKIE_NAME = 'absence';
	}
}

use AbsenceConfig;
my $TOP_PAGE	= AbsenceConfig::fetch('top_page');
my $AUTH_REALM	= AbsenceConfig::fetch('auth_realm');
my $COLOR_MAIN	= AbsenceConfig::fetch('wp_main');
my $VERSION		= '2.0.1';

logout();

#=========================================================================

sub _logout
{
	my $q = new CGI;

	print $q->redirect(
		-uri	=> 'http://www.unix-wissen.de' . $TOP_PAGE,
		-nph	=> 1,
		-www_authenticate	=> qq[Digest realm="$AUTH_REALM"],
		-status	=> '401',
	);
}

sub logout
{
	my $q = new CGI;

	print $q->header(
		-type				=> 'text/html',
		-status				=> '401 Authorization required',
		-expires			=> '+3d',
		-charset			=> 'utf-8',
		-nph				=> 1,
		-www_authenticate	=> qq[Digest realm="$AUTH_REALM"],
		),
		$q->start_html(
			-title	=> 'Absence: logged off',
			-BGCOLOR => $COLOR_MAIN,
			-script	=> "top.location = '$TOP_PAGE'",
		),
		"logged off.",
		$q->end_html();
}
