#!/usr/bin/perl

#======================================================================
#    This file is part of Absence.
#
#    Absence is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Absence is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Absence.  If not, see <http://www.gnu.org/licenses/>.
#======================================================================

# copyright Robert Urban

use DBI;

my %initial_values = (
	c_group	=> [
		{
			name				=> "'default'",
			description			=> "'the default group'",
		},
		{
			name				=> "'second'",
			description			=> "'the second group'",
		},
		{
			name				=> "'third'",
			description			=> "'the 3rd group'",
		},
		{
			name				=> "'fourth'",
			description			=> "'the 4th group'",
		},
	],
	c_object => [
		{
			name				=> "'rob'",
			email				=> "'urban@tru64.org'",
		},
		{
			name				=> "'john'",
			email				=> "'john@tru64.org'",
		},
		{
			name				=> "'joe'",
			email				=> "'joe@tru64.org'",
		},
		{
			name				=> "'jane'",
			email				=> "'jane@tru64.org'",
		},
	],
	c_group_object => [
		{
			group_id			=> 1,
			object_id			=> 1,
		},
		{
			group_id			=> 1,
			object_id			=> 2,
		},
		{
			group_id			=> 1,
			object_id			=> 3,
		},
		{
			group_id			=> 1,
			object_id			=> 4,
		},
		{
			group_id			=> 2,
			object_id			=> 1,
		},
		{
			group_id			=> 2,
			object_id			=> 2,
		},
	],
	c_reservation_type => [
		{
			name				=> "'Vacation'",
			wide				=> "'t'",
			position			=> 1,
			overlap_group		=> 1,
			skip_non_workdays	=> "'t'",
			color				=> 0xce1616,
			default_type		=> "'f'",
			description			=> "'dunno'",
		},
		{
			name				=> "'Customer'",
			wide				=> "'t'",
			position			=> 1,
			overlap_group		=> 1,
			skip_non_workdays	=> "'t'",
			color				=> 0x51ac4e,
			default_type		=> "'t'",
			description			=> "'dunno'",
		},
		{
			name				=> "'Busy'",
			wide				=> "'t'",
			position			=> 1,
			overlap_group		=> 1,
			skip_non_workdays	=> "'t'",
			color				=> 0x9090ff,
			default_type		=> "'f'",
			description			=> "'dunno'",
		},
		{
			name				=> "'Other'",
			wide				=> "'t'",
			position			=> 1,
			overlap_group		=> 1,
			skip_non_workdays	=> "'t'",
			color				=> 0xffa500,
			default_type		=> "'f'",
			description			=> "'dunno'",
		},
	],
	d_group_mod_time => [
		{
			group_id			=> 1,
			month				=> 1,
			year				=> 2008,
			mod_time			=> 1207173602,
		},
		{
			group_id			=> 2,
			month				=> 1,
			year				=> 2008,
			mod_time			=> 1207173602,
		},
		{
			group_id			=> 3,
			month				=> 1,
			year				=> 2008,
			mod_time			=> 1207173602,
		},
		{
			group_id			=> 2,
			month				=> 2,
			year				=> 2008,
			mod_time			=> 1207173602,
		},
		{
			group_id			=> 3,
			month				=> 2,
			year				=> 2008,
			mod_time			=> 1207173602,
		},
		{
			group_id			=> 4,
			month				=> 2,
			year				=> 2008,
			mod_time			=> 1207173602,
		},
	],
);

my @order = qw/c_group c_reservation_type c_object c_group_object d_group_mod_time/;


my $dbname = 'absence';
my $dbuser = 'absence';
my $dbpass = 'absence';

my $dbh = DBI->connect("dbi:Pg:dbname=$dbname", $dbuser, $dbpass, {AutoCommit => 1});
defined($dbh) || die "connection failed";

#------------------------------------------------------------------------
# insert values
#------------------------------------------------------------------------
#foreach my $table (keys(%initial_values)) {
foreach my $table (@order) {
	foreach my $href (@{ $initial_values{$table} }) {
		@keys = keys(%{ $href });
		$keys = join(',', @keys);
		@vals = @{$href}{@keys};
		$vals = join(',', @vals);
		$sql = qq{INSERT INTO $table ($keys) VALUES ($vals);};
		print "SQL> $sql\n";
		$rv = $dbh->do($sql);
		defined($rv) || print "statement failed\n";
	}
}

$dbh->disconnect;
