#!/usr/bin/perl

#======================================================================
#    This file is part of Absence.
#
#    Absence is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Absence is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Absence.  If not, see <http://www.gnu.org/licenses/>.
#======================================================================

# copyright Robert Urban

use FileHandle;
use Getopt::Long;

use AbsenceImport;

my ($in_file, $db_user, $db_pass, $db_host, $db_name);

my $res = GetOptions(
	'file|f=s'	=> \$in_file,
	'user|u=s'	=> \$db_user,
	'pass|p=s'	=> \$db_pass,
	'host|h=s'	=> \$db_host,
	'name|n=s'	=> \$db_name,
);

defined($in_file) || die "usage: $0 -file <input-file>\n";
(!defined($db_user) || !defined($db_pass) || !defined($db_host) ||
	!defined($db_name)) && die "DB user/pass/host/name missing\n";


my $fh = FileHandle->new($in_file);
defined($fh) || die "unable to open file [$in_file] for reading: $!";

<$fh>;	# throw away column-labels

my @arr;
while(<$fh>) {
	chomp;
	my ($name, $code) = split(/;/, $_);
	#printf("%2s %s\n", $code, $name);
	push(@arr, { iso => lc($code), name => $name });
}

$fh->close;

AbsenceImport::init($db_user, $db_pass, $db_name, $db_host);

AbsenceImport::loadCountryTable(\@arr);

print "finished.\n";
