#!/usr/bin/perl

#======================================================================
#    This file is part of Absence.
#
#    Absence is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    Absence is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Absence.  If not, see <http://www.gnu.org/licenses/>.
#======================================================================

# copyright Robert Urban

use FileHandle;
use Getopt::Long;

use AbsenceImport;
#use AbsenceMigration;

my $DEBUG = 1;
my $in_file;

my ($db_user, $db_pass, $db_host, $db_name);

my $res = GetOptions(
	'file|f=s'	=> \$in_file,
    'user|u=s'  => \$db_user,
    'pass|p=s'  => \$db_pass,
    'host|h=s'  => \$db_host,
    'name|n=s'  => \$db_name,
);

defined($in_file) || die "usage: $0 -file <input-file>\n";
(!defined($db_user) || !defined($db_pass) || !defined($db_host) ||
	!defined($db_name)) && die "DB user/pass/host/name missing\n";


my $fh = FileHandle->new($in_file);
defined($fh) || die "could not open file [$in_file]: $!";

my @regions;
while(<$fh>) {
	chomp;
	push(@regions, $_);
}
$fh->close;

AbsenceImport::init($db_user, $db_pass, $db_name, $db_host);

foreach my $region (@regions) {
	$DEBUG && print "region=[$region]\n";
	AbsenceImport::createRegion($region);
}
